MISSINdevelopersLog in

API reference

OrdersList

Page through orders with filter and sort: totals, discount, partner and attribution. Read access, orders toolset, MCP tool list_orders.

Access: Read

Variables

VariableTypeRequiredAcceptsDescription
afterCursornoOpaque cursor from pageInfo.endCursor
filterOrderFilternoOrderFilter
firstInt!yes32-bit integer. MCP tools send 50 when it is left out
orderBy[OrderOrderBy!]noOne of 39 values, see OrderOrderBy. Default ["CREATED_AT_DESC"]The method to use when ordering Order.

Call it

bash
curl https://api.missin.co.uk/graphql/v1 \
  -H "Authorization: Bearer $MISSIN_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"operationName":"OrdersList","variables":{"first":50},"extensions":{"persistedQuery":{"version":1,"sha256Hash":"4107c5aabada0201f5f3837d8d9caf681e0c38f8a75dcdaafeb0c50eb24a0e3e"}}}'

Document

graphql
query OrdersList($after: Cursor, $filter: OrderFilter, $first: Int!, $orderBy: [OrderOrderBy!] = [CREATED_AT_DESC]) { __typename allOrders(first: $first, after: $after, filter: $filter, orderBy: $orderBy) { __typename nodes { __typename attributedRevenue connectionByConnectionId { __typename displayName externalRef id rowId } conversionSource createdAt currencyByCurrencyId { __typename code decimalPlaces decimalSeparator id symbol symbolPosition thousandsSeparator } customerByCustomerId { __typename email id } customerId customerRef discountCodeId externalRef financialStatus formResponseId fulfillmentStatus id integrationSlug orderNumber orderReportedByOrderId { __typename converted id nativeAttributedRevenue nativeCurrency nativeTotalPrice placedDay rate rateDate rateProvider reportedAttributedRevenue reportedTotalPrice reportingCurrency } orderStatus partnerId presentmentCurrencyCode presentmentTotalPrice providerExchangeRate rowId totalPrice ... on OrderShopify { __typename checkoutToken } ... on OrderStripe { __typename invoiceId isRecurring subscriptionId } } pageInfo { __typename endCursor hasNextPage } totalCount } }

For AI agents: a markdown index of this site is at /llms.txt, and every page is available as markdown by adding .md to its URL.